
CREATE TABLE [dbo].[MIG_EO_ITEM](
	[EO_ID] [varchar](30) NOT NULL,
	[ITEM_KEY] [varchar](40) NOT NULL,
	[REVISION] [varchar](6) NOT NULL,
	[LOCK_TYPE] [smallint] NOT NULL,
	[UPDATED_ON] [datetime2](7) NOT NULL,
	[GUID] [varchar](36) NOT NULL,	
	[ZZ_ID] [int] NOT NULL,
 CONSTRAINT [PK_MIG_EO_ITEM_IDX] PRIMARY KEY CLUSTERED 
(
	[EO_ID] ASC,
	[ITEM_KEY] ASC,
	[REVISION] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


CREATE UNIQUE NONCLUSTERED INDEX [PK_MIG_EO_ITEM_IDX1] ON [dbo].[MIG_EO_ITEM]
(
	[ITEM_KEY] ASC,
	[REVISION] ASC,
	[EO_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE UNIQUE NONCLUSTERED INDEX [PK_MIG_EO_ITEM_IDX2] ON [dbo].[MIG_EO_ITEM]
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE UNIQUE NONCLUSTERED INDEX [PK_MIG_EO_ITEM_IDX3] ON [dbo].[MIG_EO_ITEM]
(
	[ITEM_KEY] ASC,
	[REVISION] ASC,
	[UPDATED_ON] ASC,
	[EO_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

